ranges::box< Element, Tag, detail::box_compress::ebo > Class Template Reference
Utility
Inheritance diagram for ranges::box< Element, Tag, detail::box_compress::ebo >:

## Public Member Functions

template<typename E >
constexpr | box (E &&e) noexcept(std::is_nothrow_constructible< Element, E >::value) requires(!defer
template<typename E >
constexpr | box (E &&e) noexcept(std::is_nothrow_constructible< Element, E >::value) requires(!defer
constexpr Element & | get () &noexcept
constexpr Element const & | get () const &noexcept
constexpr Element && | get () &&noexcept
constexpr Element const && | get () const &&noexcept